#ifndef __MAIN_H__
#define __MAIN_H__

/*
 *   Copyright  1995-2003, The AROS Development Team. All rights reserved.
 *   Copyright  2012, The MorphOS Team. All rights reserved.
 *   $Id: Main.h,v 1.4 2013/05/09 18:57:23 itix Exp $
 *
 *   Desc: Disk subsystem Benchmarking Utility..
 *   Lang: English.
 *
 *   Based on DiskSpeed v4.2 by Michael Sinz
 *
 */

#undef MIN
#undef MAX

#include <sys/param.h>

/*
    DRIVE/K	- select drive  (Default is current directory or scsi.device:6)
    COMMENT/K	- set comment string
    ALL/S	- select all tests
    DIR/S	- setect DIR tests
    SEEK/S	- select SEEK tests
    LONG/S	- select LONG aligned tests
    WORD/S	- select WORD aligned tests
    BYTE/S	- select BYTE aligned tests
    BUF1/K/N	- select buffer size 1
    BUF2/K/N	- select buffer size 2
    BUF3/K/N	- select buffer size 3
    BUF4/K/N	- select buffer size 4
    MINTIME/K/N	- select the minimum test tmVal (default=8) in seconds
    WINDOW/S	- use the GUI even though started from the CLI
 */

#if defined(SCSI_SPEED)
#define CMDARG "DRIVE/K,COMMENT/K,BUF1/K/N,BUF2/K/N,BUF3/K/N,BUF4/K/N,MINTIME/K/N,WINDOW/S"
#else
#define CMDARG "DRIVE/K,COMMENT/K,ALL/S,DIR/S,SEEK/S,LONG/S,WORD/S,BYTE/S,BUF1/K/N,BUF2/K/N,BUF3/K/N,BUF4/K/N,MINTIME/K/N,WINDOW/S"
#endif

enum
{
	ARG_DRIVE = 0,
	ARG_COMMENT,
	ARG_ALL,
#if !defined(SCSI_SPEED)
	ARG_DIR,
	ARG_SEEK,
#endif
	ARG_LONG,
	ARG_WORD,
	ARG_BYTE,
	ARG_BUF1,
	ARG_BUF2,
	ARG_BUF3,
	ARG_BUF4,
	ARG_MINTIME,
	ARG_WINDOW,
	ARG_COUNT
};

#endif /* __MAIN_H__ */
